# data-only package
%global debug_package %{nil}

# NOTE: this package is not noarch because LibreOffice has no
# arch-independent extension location

Name: libreoffice-gallery-vrt-network-equipment
Version: 1.0.3
Release: 1%{?dist}
Summary: A network equipment shape gallery for LibreOffice

Group: Applications/Productivity
License: CC-BY-SA
URL: http://www.vrt.com.au/downloads/vrt-network-equipment
Source0: http://www.vrt.com.au/sites/default/files/download/VRTnetworkequipment_%{version}.oxt

Requires: libreoffice-core

%description
A network equipment shape gallery for LibreOffice.

The gallery includes
* Clients & Displays: desktop, thin client, laptop, tablets, phones,
  industrial panel PCs, wide-screen TV and projector systems.
* Peripherals: Just printers and fax for now.
* Servers: a range of tower, rack and industrial PCs with emblems for a
  range of server roles - mix-n-match to suit (the tower can also be
  used with the thin client to create a desktop tower).
* Network & Power: Infrastructure for your network, including industrial
  fibre/Ethernet/serial components and odds and ends for wireless and
  mesh networking, solar systems and UPS.
* Sensors & Controllers: PLCs & remote I/O, RTUs, data loggers,
  electricity, water and gas meters, CCTV.

%prep
%setup -q -c -n %{name}-%{version}
find . -type f -print0 | xargs -0 chmod -x

%build

%install
mkdir -p %{buildroot}/%{_libdir}/libreoffice/share/extensions
mkdir %{buildroot}/%{_libdir}/libreoffice/share/extensions/vrt-network-equipment
cp -pr * %{buildroot}/%{_libdir}/libreoffice/share/extensions/vrt-network-equipment

%files
%{_libdir}/libreoffice/share/extensions/vrt-network-equipment

%changelog
* Tue Sep 10 2013 David Tardon <dtardon@redhat.com> - 1.0.3-1
- initial import
